2011-01-07  isenburg  <isenburg>

	* src/mydefs.hpp:
	more efficient big endian handling
	[7ff2569cc64a] [tip]

	* src/lasreaditemraw.hpp, src/lasreadpoint.cpp,
	src/laswriteitemraw.hpp, src/laswritepoint.cpp:
	more efficient big endian handling
	[7ae269f43dde]

2011-01-07  Howard Butler  <hobu.inc@gmail.com>

	* CMakeLists.txt:
	turn off osgeo4w building by default
	[c544849de62f]

2011-01-06  Michael P. Gerlek  <mpg@flaxen.com>

	* src/lasunzipper.cpp, src/laszipper.cpp:
	do need to delete martin's stream (but not ours)
	[71658514f280]

2011-01-06  isenburg  <isenburg>

	* src/lasreaditemraw.hpp, src/laswriteitemraw.hpp:
	for testing if extra freads/fwrites affect performance
	[a8ad11ceb54b]

2011-01-06  Howard Butler  <hobu.inc@gmail.com>

	* include/laszip/lasunzipper.hpp:
	export LASunzipper too
	[89e9ea2f8f7c]

2011-01-05  Howard Butler  <hobu.inc@gmail.com>

	* src/CMakeLists.txt:
	add install_name for OSX
	[880013a5e96a]

	* include/laszip/export.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp:
	put LASZIP_DLL back. Martin, please let me know your error
	message(s) instead of removing this as I need it for the OSGeo4W
	windows deployment
	[057be33cd6db]

2011-01-05  isenburg  <isenburg>

	* tools/laszippertest.cpp:
	forgot to copy & commit
	[daac63e565cf]

2011-01-04  isenburg  <isenburg>

	* src/bytestreamin.hpp, src/bytestreamin_file.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout.hpp,
	src/bytestreamout_file.hpp, src/bytestreamout_ostream.hpp,
	src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/lasreaditemraw.hpp, src/lasreadpoint.cpp, src/lasreadpoint.hpp,
	src/lasunzipper.cpp, src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswriteitemraw.hpp,
	src/laswritepoint.cpp, src/laswritepoint.hpp, src/laszip.cpp,
	src/laszipper.cpp, src/rangemodel.cpp:
	improved endianness again, renamed compression to algorithm,
	improved wavepacket13 compressor
	[dcd14845f9ed]

	* include/laszip/lasunzipper.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp:
	mpg: the LAS_ZIP_DLL does not work with my code. can you ifdef it?
	[a8aa0185aa63]

2011-01-04  Howard Butler  <hobu.inc@gmail.com>

	* .hgignore:
	add a few more ignores
	[473e998d2955]

	* cmake/modules/BuildOSGeo4W.cmake:
	simplify to a single package install for osgeo4w
	[14af050db188]

2011-01-03  Howard Butler  <hobu.inc@gmail.com>

	* CMakeLists.txt, cmake/modules/BuildOSGeo4W.cmake:
	fix osgeo4w dependency and add OSGEO4W_UPSTREAM_RELEASE usage
	[6cfec438cea3]

	* CMakeLists.txt, cmake/modules/BuildOSGeo4W.cmake:
	osgeo4w packaging
	[bb381252df0d]

	* cmake/modules/BuildOSGeo4W.cmake:
	add osgeo4w packaging script
	[5702cc183fe5]

	* tools/CMakeLists.txt, tools/laszip-config.in, tools/laszip.pc.in:
	add laszip-config and laszip.pc packageconfig
	[5ea850338ed1]

	* include/laszip/Makefile.am:
	bring in line with cmake setup
	[03aa58b60bf5]

	* configure.ac:
	bring in line with cmake setup
	[0a245357c2cd]

	* .hgignore:
	ignore .lax test files and change location of laszip-config and
	laszip.pc package config files
	[3075e12e3a47]

	* CMakeLists.txt, src/CMakeLists.txt:
	add packaging and soname for dll
	[43aa7323c711]

	* laszip-config.in, tools/CMakeLists.txt, tools/laszip-config.in:
	add a laszip-config target
	[d48a54cc320b]

	* .hgignore:
	add a few more ignores
	[f3729328ee77]

	* src/CMakeLists.txt, src/lasreaditemrawendianswapped.hpp,
	src/laswriteitemrawendianswapped.hpp:
	these files are not used anymore according to Martin
	[25aa62883097]

2010-12-30  Howard Butler  <hobu.inc@gmail.com>

	* hobu-config.bat:
	add my base config
	[8fe8b5444dcf]

	* src/CMakeLists.txt, tools/CMakeLists.txt:
	export the laszip dll items
	[799d195fe864]

	* CMakeLists.txt, src/CMakeLists.txt:
	fix install target to LASZIP_LIB_DIR instead of _BIN, build shared
	library by default
	[f30dd5b85cdc]

	* include/laszip/export.hpp, include/laszip/lasunzipper.hpp,
	include/laszip/laszip.hpp, include/laszip/laszipper.hpp,
	src/CMakeLists.txt:
	start adding LASZIP_DLL exports definition in preparation for shared
	library build/install/usage
	[724ec4f2a7de]

	* CMakeLists.txt:
	add logic or setting CMAKE_BUILD_TYPE to Debug by default if not set
	and not in the cache
	[35628e849688]

	* src/CMakeLists.txt:
	add some missing header files
	[adc903683a4b]

2010-12-27  Michael P. Gerlek  <mpg@flaxen.com>

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp:
	explicit default param no longer needed
	[16cbedc7335f]

	* include/laszip/lasunzipper.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp, src/lasreadpoint.cpp,
	src/lasreadpoint.hpp, src/lasunzipper.cpp, src/laswritepoint.cpp,
	src/laswritepoint.hpp, src/laszipper.cpp, tools/laszippertest.cpp:
	use an enum for the compression type, for type safety
	[276b21e82629]

	* tools/laszippertest.cpp:
	fix err checks on open()
	[ce1bdb2a9e26]

	* src/bytestreamin_file.hpp, src/bytestreamin_istream.hpp:
	remove fprintf calls
	[ba16595e644c]

	* src/rangemodel.cpp:
	remove calls to fprintf, exit
	[7af78ceb3bfa]

2010-12-23  isenburg  <isenburg>

	* src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp:
	one last optimization to compress 1.5 percent better
	[e815143ce051]

	* src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/lasreadpoint.cpp, src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp:
	fix of pointreader and small optimization of POINT10 compressor
	[113c76a6708b]

	* tools/laszippertest.cpp:
	added test for new WAVEPACKET13 compressor
	[294dfaf3b0d3]

	* tools/laszippertest.cpp:
	added test for new WAVEPACKET13 compressor
	[30313ba06a38]

	* src/arithmeticdecoder.cpp, src/arithmeticencoder.cpp,
	src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswritepoint.cpp:
	updated RGB encoding to be endian neutral
	[7770fdf9c7c2]

2010-12-22  Michael P. Gerlek  <mpg@flaxen.com>

	* src/laszip.cpp:
	sync up w/ Martin's versioning
	[4daf73355dc6]

	* src/lasreadpoint.cpp:
	memleak
	[aabe8bc36fb0]

	* include/laszip/laszip.hpp, src/CMakeLists.txt, src/Makefile.am,
	src/lasunzipper.cpp, src/laszip.cpp, src/laszipper.cpp:
	move header functions into .cpp file
	[b939bfb7bdf7]

	* tools/laszippertest.cpp:
	sync w/ Martin's changes
	[e8f5528c3d30]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp,
	src/lasunzipper.cpp, src/laszipper.cpp:
	pull-merge
	[e651d0722c7e]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout_ostream.hpp,
	src/lasunzipper.cpp, src/laszipper.cpp, tools/laszippertest.cpp:
	pass streams by ref, not as pointers; return status code on open,
	not bool; declare items parameter as an array
	[3e5e0ec93ea6]

2010-12-21  isenburg  <isenburg>

	* src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/lasreaditemraw.hpp, src/lasreadpoint.cpp,
	src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswriteitemraw.hpp,
	src/laswritepoint.cpp:
	renaming to GPSTIME11, RGB12, and WAVEPACKET13
	[68e267d04b63]

	* include/laszip/laszip.hpp:
	added LASzip struct to be used as VLR data
	[80c637a74e7a]

2010-12-20  isenburg  <isenburg>

	* src/lasreaditem.hpp, src/lasreaditemcompressed_v1.cpp,
	src/lasreaditemcompressed_v1.hpp, src/lasreadpoint.cpp,
	src/lasreadpoint.hpp, src/lasunzipper.cpp, src/laswriteitem.hpp,
	src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswriteitemraw.hpp,
	src/laswritepoint.cpp, src/laswritepoint.hpp, src/laszipper.cpp:
	changing functions to const
	[9b06bc82ee1e]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp:
	changing functions to const
	[af0d76303e5d]

	* src/lasreaditemcompressed_v1.cpp, src/lasreaditemcompressed_v1.hpp,
	src/lasreadpoint.cpp, src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswritepoint.cpp,
	src/laszipper.cpp, src/rangedecoder.cpp, src/rangeencoder.cpp:
	more minor changes under the hood
	[b49409e2e144]

	* include/laszip/laszip.hpp, include/laszip/laszipper.hpp:
	minor changes to finalize interface
	[035b52b181dc]

2010-12-18  Michael P. Gerlek  <mpg@flaxen.com>

	* pull-merge
	[b095ef93a1f2]

	* include/laszip/laszip.hpp:
	added LASitem::set helper
	[7e3afedda8ae]

	* include/laszip/lasunzipper.hpp:
	comment fix
	[5138579f7a56]

2010-12-18  isenburg  <isenburg>

	* src/bytestreamout_ostream.hpp:
	merge
	[f064ee4d2df4]

	* src/bytestreamin_file.hpp, src/bytestreamin_istream.hpp,
	src/bytestreamout.hpp, src/bytestreamout_file.hpp,
	src/bytestreamout_ostream.hpp:
	consolidated all IO paths
	[5aaa3c648f10]

	* src/bytestreamin_file.hpp, src/bytestreamin_istream.hpp,
	src/bytestreamout.hpp, src/bytestreamout_file.hpp,
	src/bytestreamout_ostream.hpp:
	consolidated all IO paths
	[e9118cc24a18]

2010-12-17  Michael P. Gerlek  <mpg@flaxen.com>

	* include/laszip/laszip.hpp:
	added VERSION constants
	[0ef60ec2e07c]

	* src/bytestreamout_ostream.hpp:
	add cast for vs2010; consolidate byte writer path
	[b809c3c0b3bf]

2010-12-17  isenburg  <isenburg>

	* include/laszip/lasunzipper.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp:
	changed LASitem from struct to class
	[df98c890f766]

	* src/lasreaditemraw.hpp, src/lasreadpoint.cpp,
	src/laswriteitemraw.hpp, src/laswritepoint.cpp, src/mydefs.hpp:
	updated the endian handling
	[c66256ecc759]

	* src/bytestreamin.hpp, src/bytestreamin_file.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout.hpp,
	src/bytestreamout_file.hpp, src/bytestreamout_ostream.hpp:
	updated the endian handling and allow seeking
	[473da02e72e3]

2010-12-17  Michael P. Gerlek  <mpg@flaxen.com>

	* tools/laszippertest.cpp:
	c/p error in stream creation
	[41573d80a706]

2010-12-16  Michael P. Gerlek  <mpg@flaxen.com>

	* include/laszip/lasunzipper.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp, src/bytestreamin_istream.hpp,
	src/bytestreamout_ostream.hpp, tools/laszippertest.cpp:
	consolidated the MC6 macro usage
	[0c2698631af8]

	* include/laszip/liblaszip.hpp, src/liblaszip.cpp:
	dead code
	[746fbdb3487b]

2010-12-15  Howard Butler  <hobu.inc@gmail.com>

	* tools/laszippertest.cpp:
	typo
	[1d033bad3a73]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp,
	src/CMakeLists.txt, src/Makefile.am, src/bytestreamin_istream.hpp,
	src/bytestreamout_ostream.hpp, tools/laszippertest.cpp:
	a whole slug of #ifdefs for the VC6 iostream vs stl iostream stuff
	-- segfaults currently on OS X
	[28c3ef5933da]

2010-12-15  isenburg  <isenburg>

	* src/rangedecoder.cpp, src/rangedecoder.hpp, src/rangeencoder.cpp,
	src/rangeencoder.hpp, src/rangemodel.cpp, src/rangemodel.hpp:
	the (slower) rangecoder that was replaced in laszip with the
	(faster) arithmetic coder in january 2010
	[1fd6740c3f0a]

	* tools/laszippertest.cpp:
	added rangecoder and improved test output
	[7c3e352c29ee]

	* src/arithmeticencoder.cpp, src/lasreadpoint.cpp,
	src/laswritepoint.cpp:
	added rangecoder and fixed read past write issue
	[b21103347c21]

	* src/bytestreamout_ostream.hpp:
	reinsert lost changes
	[f066092800a9]

	* src/bytestreamin_istream.hpp:
	reinsert lost changes
	[bf36cb687f49]

	* src/bytestreamin.hpp, src/bytestreamin_file.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout_ostream.hpp,
	src/lasunzipper.cpp, src/laszipper.cpp:
	merging with my code
	[e4af65b349e7]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp:
	merging with my code
	[eafa0e1730af]

	* tools/laszippertest.cpp:
	added check for input & output bytes
	[e7dea1f25db5]

	* src/bytestreamin_istream.hpp:
	eof instead of bad
	[6fc09696ca40]

	* src/bytestreamin_istream.hpp:
	getting annoyed at hg
	[f9bbc9504f92]

	* src/bytestreamin_istream.hpp:
	getting annoyed at hg
	[874ca24b3890]

	* src/bytestreamin_istream.hpp:
	getting byte count
	[a945ff06f7c1]

	* src/bytestreamin_istream.hpp:
	getting byte count
	[c08c950673aa]

2010-12-15  Howard Butler  <hobu.inc@gmail.com>

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout_ostream.hpp,
	src/lasunzipper.cpp, src/laszipper.cpp, tools/laszippertest.cpp:
	remove all std:: explicit calls and instead put 'using namespace
	std;' in place to allow for usage by vc6
	[14b8703b0c4c]

	* merge
	[74cc4311b468]

	* merge
	[54e070c6c466]

2010-12-15  isenburg  <isenburg>

	* merge
	[755123ad7728]

	* src/lasreaditemrawendianswapped.hpp,
	src/laswriteitemrawendianswapped.hpp:
	handling big endian writes and reads
	[70aa87413dcb]

2010-12-14  Michael P. Gerlek  <mpg@flaxen.com>

	* include/laszip/laszipper.hpp, src/bytestreamin_istream.hpp,
	src/bytestreamout_ostream.hpp, tools/laszippertest.cpp:
	refine MSC_VER for vc6 usage
	[d434ceaf93ac]

2010-12-14  isenburg  <isenburg>

	* src/lasreadpoint.cpp, src/laswritepoint.cpp, src/mydefs.hpp:
	handling of raw point writing on big endian platforms
	[a2f165041d2a]

	* tools/laszippertest.cpp:
	it was not using streams but FILE* ... try again. i get a bug.
	[8df920c36a44]

2010-12-14  Howard Butler  <hobu.inc@gmail.com>

	* .hgignore, include/laszip/Makefile.am, tools/Makefile.am:
	update autoconf build
	[487fafda44f2]

	* include/laszip/laszipper.hpp, src/CMakeLists.txt,
	src/bytestreamin_istream.hpp, src/bytestreamout_ostream.hpp,
	src/laszipper.cpp, src/laszippertest.cpp, tools/CMakeLists.txt,
	tools/laszippertest.cpp:
	Use explicit std:: prefix for streams, move laszippertest into the
	tools directory, turn off lasdiff and laszip for now, as these
	depend on LAStools.
	[ab8bf5e582b0]

	* include/laszip/lasunzipper.hpp, src/bytestreamin_istream.hpp,
	src/lasunzipper.cpp:
	merge
	[b33531f25c48]

2010-12-14  isenburg  <isenburg>

	* src/mydefs.hpp:
	missing header file
	[abac5891d7de]

2010-12-13  Michael P. Gerlek  <mpg@flaxen.com>

	* src/CMakeLists.txt:
	sync w/ Martin's changes
	[aa2026d10a92]

	* CMakeLists.txt, tools/lasdiff.cpp, tools/laszip.cpp:
	move win32 DEPRECATE stuff into CMake
	[bd3dd914ed48]

2010-12-13  isenburg  <isenburg>

	* src/Makefile.am:
	updated for new laszip sources
	[be0f660c109b]

	* src/arithmeticdecoder.cpp, src/arithmeticdecoder.hpp,
	src/arithmeticencoder.cpp, src/arithmeticencoder.hpp,
	src/arithmeticmodel.cpp, src/arithmeticmodel.hpp,
	src/bytestreamin.hpp, src/bytestreamin_file.hpp,
	src/bytestreamin_istream.hpp, src/bytestreamout.hpp,
	src/bytestreamout_file.hpp, src/bytestreamout_ostream.hpp,
	src/entropydecoder.hpp, src/entropyencoder.hpp,
	src/integercompressor.cpp, src/integercompressor.hpp,
	src/lasreaditem.hpp, src/lasreaditemcompressed_v1.cpp,
	src/lasreaditemcompressed_v1.hpp, src/lasreaditemraw.hpp,
	src/lasreadpoint.cpp, src/lasreadpoint.hpp, src/lasunzipper.cpp,
	src/laswriteitem.hpp, src/laswriteitemcompressed_v1.cpp,
	src/laswriteitemcompressed_v1.hpp, src/laswriteitemraw.hpp,
	src/laswritepoint.cpp, src/laswritepoint.hpp, src/laszipper.cpp,
	src/laszippertest.cpp:
	adding refactored laszip compressor modules
	[0c9f175d3633]

	* include/laszip/lasunzipper.hpp, include/laszip/laszipper.hpp:
	added optional FILE* input. iostream still broken.
	[3123c08f132f]

	* include/laszip/lasdefinitions.hpp,
	include/laszip/laspointreader.hpp,
	include/laszip/laspointreader0compressed.hpp,
	include/laszip/laspointreader0compressedarithmetic.hpp,
	include/laszip/laspointreader0raw.hpp,
	include/laszip/laspointreader1compressed.hpp,
	include/laszip/laspointreader1compressedarithmetic.hpp,
	include/laszip/laspointreader1raw.hpp,
	include/laszip/laspointreader2compressed.hpp,
	include/laszip/laspointreader2compressedarithmetic.hpp,
	include/laszip/laspointreader2raw.hpp,
	include/laszip/laspointreader3compressed.hpp,
	include/laszip/laspointreader3compressedarithmetic.hpp,
	include/laszip/laspointreader3raw.hpp,
	include/laszip/laspointwriter.hpp,
	include/laszip/laspointwriter0compressed.hpp,
	include/laszip/laspointwriter0compressedarithmetic.hpp,
	include/laszip/laspointwriter0raw.hpp,
	include/laszip/laspointwriter1compressed.hpp,
	include/laszip/laspointwriter1compressedarithmetic.hpp,
	include/laszip/laspointwriter1raw.hpp,
	include/laszip/laspointwriter2compressed.hpp,
	include/laszip/laspointwriter2compressedarithmetic.hpp,
	include/laszip/laspointwriter2raw.hpp,
	include/laszip/laspointwriter3compressed.hpp,
	include/laszip/laspointwriter3compressedarithmetic.hpp,
	include/laszip/laspointwriter3raw.hpp, include/laszip/lasreader.hpp,
	include/laszip/laswriter.hpp, src/arithmeticdecoder.cpp,
	src/arithmeticdecoder.hpp, src/arithmeticencoder.cpp,
	src/arithmeticencoder.hpp, src/arithmeticintegercompressor.cpp,
	src/arithmeticintegercompressor.hpp, src/arithmeticmodel.cpp,
	src/arithmeticmodel.hpp, src/laspointreader0compressed.cpp,
	src/laspointreader0compressedarithmetic.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader1compressedarithmetic.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader2compressedarithmetic.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointreader3compressedarithmetic.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter0compressedarithmetic.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter1compressedarithmetic.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter2compressedarithmetic.cpp,
	src/laspointwriter3compressed.cpp,
	src/laspointwriter3compressedarithmetic.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.hpp, src/rangedecoder.cpp,
	src/rangedecoder.hpp, src/rangeencoder.cpp, src/rangeencoder.hpp,
	src/rangeintegercompressor.cpp, src/rangeintegercompressor.hpp,
	src/rangemodel.cpp, src/rangemodel.hpp:
	removing all classes that are no longer relevant
	[6a9f0a4f6c9d]

2010-12-12  isenburg  <isenburg>

	* include/laszip/lasunzipper.hpp, include/laszip/laszip.hpp,
	include/laszip/laszipper.hpp, src/laszippertest.cpp:
	more modular interface for liblas integration. only three
	headerfiles. example use given. still some missing files under the
	hood dur to remaining bugs
	[9920c10ae49b]

2010-12-11  Michael P. Gerlek  <mpg@flaxen.com>

	* AUTHORS:
	(testing hg config)
	[0b0935082266]

2010-12-11  Michael P. Gerlek  <mpg@lizardtech.com>

	* include/laszip/liblaszip.hpp, src/CMakeLists.txt, src/liblaszip.cpp:
	stub out a stake in the ground for "liblaszip" exported interface
	[afc43d3fa954]

	* .hgignore:
	VS2010 lint
	[cf76d7769d6f]

	* tools/lasdiff.cpp, tools/laszip.cpp:
	remove gzip usage; elide some windows warnings
	[835d4fdaeb9b]

2010-12-01  Howard Butler  <hobu.inc@gmail.com>

	* .hgignore, CMakeLists.txt, Makefile.am,
	cmake/laszip.vcproj.user.template, configure.ac,
	include/CMakeLists.txt, include/Makefile.am,
	include/lasdefinitions.h, include/laspointreader.h,
	include/laspointreader0compressed.h,
	include/laspointreader0compressedarithmetic.h,
	include/laspointreader0raw.h, include/laspointreader1compressed.h,
	include/laspointreader1compressedarithmetic.h,
	include/laspointreader1raw.h, include/laspointreader2compressed.h,
	include/laspointreader2compressedarithmetic.h,
	include/laspointreader2raw.h, include/laspointreader3compressed.h,
	include/laspointreader3compressedarithmetic.h,
	include/laspointreader3raw.h, include/laspointwriter.h,
	include/laspointwriter0compressed.h,
	include/laspointwriter0compressedarithmetic.h,
	include/laspointwriter0raw.h, include/laspointwriter1compressed.h,
	include/laspointwriter1compressedarithmetic.h,
	include/laspointwriter1raw.h, include/laspointwriter2compressed.h,
	include/laspointwriter2compressedarithmetic.h,
	include/laspointwriter2raw.h, include/laspointwriter3compressed.h,
	include/laspointwriter3compressedarithmetic.h,
	include/laspointwriter3raw.h, include/lasreader.h,
	include/laswriter.h, include/laszip/Makefile.am,
	include/laszip/lasdefinitions.hpp,
	include/laszip/laspointreader.hpp,
	include/laszip/laspointreader0compressed.hpp,
	include/laszip/laspointreader0compressedarithmetic.hpp,
	include/laszip/laspointreader0raw.hpp,
	include/laszip/laspointreader1compressed.hpp,
	include/laszip/laspointreader1compressedarithmetic.hpp,
	include/laszip/laspointreader1raw.hpp,
	include/laszip/laspointreader2compressed.hpp,
	include/laszip/laspointreader2compressedarithmetic.hpp,
	include/laszip/laspointreader2raw.hpp,
	include/laszip/laspointreader3compressed.hpp,
	include/laszip/laspointreader3compressedarithmetic.hpp,
	include/laszip/laspointreader3raw.hpp,
	include/laszip/laspointwriter.hpp,
	include/laszip/laspointwriter0compressed.hpp,
	include/laszip/laspointwriter0compressedarithmetic.hpp,
	include/laszip/laspointwriter0raw.hpp,
	include/laszip/laspointwriter1compressed.hpp,
	include/laszip/laspointwriter1compressedarithmetic.hpp,
	include/laszip/laspointwriter1raw.hpp,
	include/laszip/laspointwriter2compressed.hpp,
	include/laszip/laspointwriter2compressedarithmetic.hpp,
	include/laszip/laspointwriter2raw.hpp,
	include/laszip/laspointwriter3compressed.hpp,
	include/laszip/laspointwriter3compressedarithmetic.hpp,
	include/laszip/laspointwriter3raw.hpp, include/laszip/lasreader.hpp,
	include/laszip/laswriter.hpp, src/CMakeLists.txt, src/Makefile.am,
	src/arithmeticdecoder.cpp, src/arithmeticdecoder.h,
	src/arithmeticdecoder.hpp, src/arithmeticencoder.cpp,
	src/arithmeticencoder.h, src/arithmeticencoder.hpp,
	src/arithmeticintegercompressor.cpp,
	src/arithmeticintegercompressor.h,
	src/arithmeticintegercompressor.hpp, src/arithmeticmodel.cpp,
	src/arithmeticmodel.h, src/arithmeticmodel.hpp,
	src/laspointreader0compressed.cpp,
	src/laspointreader0compressedarithmetic.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader1compressedarithmetic.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader2compressedarithmetic.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointreader3compressedarithmetic.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter0compressedarithmetic.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter1compressedarithmetic.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter2compressedarithmetic.cpp,
	src/laspointwriter3compressed.cpp,
	src/laspointwriter3compressedarithmetic.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.h, src/mydefs.hpp,
	src/rangedecoder.cpp, src/rangedecoder.h, src/rangedecoder.hpp,
	src/rangeencoder.cpp, src/rangeencoder.h, src/rangeencoder.hpp,
	src/rangeintegercompressor.cpp, src/rangeintegercompressor.h,
	src/rangeintegercompressor.hpp, src/rangemodel.cpp,
	src/rangemodel.h, src/rangemodel.hpp, tools/CMakeLists.txt,
	tools/Makefile.am, tools/lasdiff.cpp, tools/laszip.cpp:
	rename all header files from .h to .hpp. Move include files from
	include/ to include/laszip. Provide CMake configuration.
	[29f7d17058cc]

2010-01-19  Martin Isenburg  <isenburg@cs.unc.edu>

	* include/lasdefinitions.h, include/laspointreader.h,
	include/laspointreader0compressed.h,
	include/laspointreader0compressedarithmetic.h,
	include/laspointreader0raw.h, include/laspointreader1compressed.h,
	include/laspointreader1compressedarithmetic.h,
	include/laspointreader1raw.h, include/laspointreader2compressed.h,
	include/laspointreader2compressedarithmetic.h,
	include/laspointreader2raw.h, include/laspointreader3compressed.h,
	include/laspointreader3compressedarithmetic.h,
	include/laspointreader3raw.h, include/laspointwriter.h,
	include/laspointwriter0compressed.h,
	include/laspointwriter0compressedarithmetic.h,
	include/laspointwriter0raw.h, include/laspointwriter1compressed.h,
	include/laspointwriter1compressedarithmetic.h,
	include/laspointwriter1raw.h, include/laspointwriter2compressed.h,
	include/laspointwriter2compressedarithmetic.h,
	include/laspointwriter2raw.h, include/laspointwriter3compressed.h,
	include/laspointwriter3compressedarithmetic.h,
	include/laspointwriter3raw.h, include/lasreader.h,
	include/laswriter.h, src/arithmeticdecoder.cpp,
	src/arithmeticencoder.cpp, src/arithmeticintegercompressor.cpp,
	src/arithmeticmodel.cpp, src/laspointreader0compressed.cpp,
	src/laspointreader0compressedarithmetic.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader1compressedarithmetic.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader2compressedarithmetic.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointreader3compressedarithmetic.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter0compressedarithmetic.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter1compressedarithmetic.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter2compressedarithmetic.cpp,
	src/laspointwriter3compressed.cpp,
	src/laspointwriter3compressedarithmetic.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/rangeintegercompressor.cpp,
	tools/Makefile.am, tools/lasdiff.cpp:
	ran dos2unix & added lasdiff
	[ebbe9f97a0c9]

	* src/arithmeticdecoder.h, src/arithmeticencoder.h,
	src/arithmeticintegercompressor.h, src/arithmeticmodel.h,
	src/mydefs.h, src/rangeintegercompressor.h:
	ran dos2unix
	[ca54d41a4d88]

2010-01-19  Howard Butler  <hobu.inc@gmail.com>

	* .hgignore, Makefile.am, configure.ac, tools/Makefile.am,
	tools/laszip.cpp, tools/src/Makefile.am, tools/src/laszip.cpp:
	enable laszip building
	[df37a075671b]

	* merging
	[cfa49ef4b213]

	* src/Makefile.am:
	use tabs instead of spaces in makefiles
	[e31d088e1cf4]

2010-01-19  Martin Isenburg  <isenburg@cs.unc.edu>

	* tools/src/Makefile.am, tools/src/laszip.cpp:
	adding an actual executable
	[25e79f6803e2]

2010-01-19  Howard Butler  <hobu.inc@gmail.com>

	* src/arithmeticmodel.cpp:
	remove extraneous ;
	[ba3b839989fd]

2010-01-19  Martin Isenburg  <isenburg@cs.unc.edu>

	* Makefile.am, configure.ac:
	those also needed to be changed
	[64cb2e788e39]

	* include/lasdefinitions.h, include/laspointreader.h,
	include/laspointreader0compressed.h,
	include/laspointreader0compressedarithmetic.h,
	include/laspointreader0raw.h, include/laspointreader1compressed.h,
	include/laspointreader1compressedarithmetic.h,
	include/laspointreader1raw.h, include/laspointreader2compressed.h,
	include/laspointreader2compressedarithmetic.h,
	include/laspointreader2raw.h, include/laspointreader3compressed.h,
	include/laspointreader3compressedarithmetic.h,
	include/laspointreader3raw.h, include/laspointwriter.h,
	include/laspointwriter0compressed.h,
	include/laspointwriter0compressedarithmetic.h,
	include/laspointwriter0raw.h, include/laspointwriter1compressed.h,
	include/laspointwriter1compressedarithmetic.h,
	include/laspointwriter1raw.h, include/laspointwriter2compressed.h,
	include/laspointwriter2compressedarithmetic.h,
	include/laspointwriter2raw.h, include/laspointwriter3compressed.h,
	include/laspointwriter3compressedarithmetic.h,
	include/laspointwriter3raw.h, include/lasreader.h,
	include/laswriter.h, src/arithmeticdecoder.cpp,
	src/arithmeticdecoder.h, src/arithmeticencoder.cpp,
	src/arithmeticencoder.h, src/arithmeticintegercompressor.cpp,
	src/arithmeticintegercompressor.h, src/arithmeticmodel.cpp,
	src/arithmeticmodel.h, src/laspointreader0compressed.cpp,
	src/laspointreader0compressedarithmetic.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader1compressedarithmetic.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader2compressedarithmetic.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointreader3compressedarithmetic.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter0compressedarithmetic.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter1compressedarithmetic.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter2compressedarithmetic.cpp,
	src/laspointwriter3compressed.cpp,
	src/laspointwriter3compressedarithmetic.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.h, src/rangedecoder.cpp,
	src/rangedecoder.h, src/rangeencoder.cpp, src/rangeencoder.h,
	src/rangeintegercompressor.cpp, src/rangeintegercompressor.h,
	src/rangemodel.cpp, src/rangemodel.h:
	added the licensing info again
	[0fccefe7392d]

	* src/Makefile.am, src/arithmeticdecoder.cpp, src/arithmeticdecoder.h,
	src/arithmeticencoder.cpp, src/arithmeticencoder.h,
	src/arithmeticintegercompressor.cpp,
	src/arithmeticintegercompressor.h, src/arithmeticmodel.cpp,
	src/arithmeticmodel.h, src/laspointreader0compressed.cpp,
	src/laspointreader0compressedarithmetic.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader1compressedarithmetic.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader2compressedarithmetic.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointreader3compressedarithmetic.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter0compressedarithmetic.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter1compressedarithmetic.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter2compressedarithmetic.cpp,
	src/laspointwriter3compressed.cpp,
	src/laspointwriter3compressedarithmetic.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.h, src/rangedecoder.cpp,
	src/rangedecoder.h, src/rangeencoder.cpp, src/rangeencoder.h,
	src/rangeintegercompressor.cpp, src/rangeintegercompressor.h,
	src/rangemodel.cpp, src/rangemodel.h:
	adding arithmetic coder to main branch
	[d29c316a530c]

	* include/Makefile.am, include/lasdefinitions.h,
	include/laspointreader.h, include/laspointreader0compressed.h,
	include/laspointreader0compressedarithmetic.h,
	include/laspointreader0raw.h, include/laspointreader1compressed.h,
	include/laspointreader1compressedarithmetic.h,
	include/laspointreader1raw.h, include/laspointreader2compressed.h,
	include/laspointreader2compressedarithmetic.h,
	include/laspointreader2raw.h, include/laspointreader3compressed.h,
	include/laspointreader3compressedarithmetic.h,
	include/laspointreader3raw.h, include/laspointwriter.h,
	include/laspointwriter0compressed.h,
	include/laspointwriter0compressedarithmetic.h,
	include/laspointwriter0raw.h, include/laspointwriter1compressed.h,
	include/laspointwriter1compressedarithmetic.h,
	include/laspointwriter1raw.h, include/laspointwriter2compressed.h,
	include/laspointwriter2compressedarithmetic.h,
	include/laspointwriter2raw.h, include/laspointwriter3compressed.h,
	include/laspointwriter3compressedarithmetic.h,
	include/laspointwriter3raw.h, include/lasreader.h,
	include/laswriter.h:
	adding arithmetic coder to the main branch
	[d0eb808ce138]

2010-01-18  Martin Isenburg  <isenburg@cs.unc.edu>

	* src/alternate_coder_src/Makefile.am,
	src/alternate_coder_src/arithmeticdecoder.cpp,
	src/alternate_coder_src/arithmeticdecoder.h,
	src/alternate_coder_src/arithmeticencoder.cpp,
	src/alternate_coder_src/arithmeticencoder.h,
	src/alternate_coder_src/arithmeticmodel.cpp,
	src/alternate_coder_src/arithmeticmodel.h,
	src/alternate_coder_src/integercompressor_newest.cpp,
	src/alternate_coder_src/integercompressor_newest.h,
	src/alternate_coder_src/laspointreader0compressed.cpp,
	src/alternate_coder_src/laspointreader0compressed.h,
	src/alternate_coder_src/laspointreader1compressed.cpp,
	src/alternate_coder_src/laspointreader1compressed.h,
	src/alternate_coder_src/laspointreader2compressed.cpp,
	src/alternate_coder_src/laspointreader2compressed.h,
	src/alternate_coder_src/laspointreader3compressed.cpp,
	src/alternate_coder_src/laspointreader3compressed.h,
	src/alternate_coder_src/laspointwriter0compressed.cpp,
	src/alternate_coder_src/laspointwriter0compressed.h,
	src/alternate_coder_src/laspointwriter1compressed.cpp,
	src/alternate_coder_src/laspointwriter1compressed.h,
	src/alternate_coder_src/laspointwriter2compressed.cpp,
	src/alternate_coder_src/laspointwriter2compressed.h,
	src/alternate_coder_src/laspointwriter3compressed.cpp,
	src/alternate_coder_src/laspointwriter3compressed.h,
	src/integercompressor_context.cpp, src/integercompressor_context.h:
	alternate coder moves into main branch
	[cfed1d96c9b2]

2010-01-14  Martin Isenburg  <isenburg@cs.unc.edu>

	* include/lasdefinitions.h, include/laspointreader.h,
	include/laspointreader0compressed.h, include/laspointreader0raw.h,
	include/laspointreader1compressed.h, include/laspointreader1raw.h,
	include/laspointreader2compressed.h, include/laspointreader2raw.h,
	include/laspointreader3compressed.h, include/laspointreader3raw.h,
	include/laspointwriter.h, include/laspointwriter0compressed.h,
	include/laspointwriter0raw.h, include/laspointwriter1compressed.h,
	include/laspointwriter1raw.h, include/laspointwriter2compressed.h,
	include/laspointwriter2raw.h, include/laspointwriter3compressed.h,
	include/laspointwriter3raw.h, include/lasreader.h,
	include/laswriter.h, src/Makefile.am,
	src/alternate_coder_src/arithmeticdecoder.cpp,
	src/alternate_coder_src/arithmeticdecoder.h,
	src/alternate_coder_src/arithmeticencoder.cpp,
	src/alternate_coder_src/arithmeticencoder.h,
	src/alternate_coder_src/arithmeticmodel.cpp,
	src/alternate_coder_src/arithmeticmodel.h,
	src/alternate_coder_src/integercompressor_newest.cpp,
	src/alternate_coder_src/integercompressor_newest.h,
	src/alternate_coder_src/laspointreader0compressed.cpp,
	src/alternate_coder_src/laspointreader0compressed.h,
	src/alternate_coder_src/laspointreader1compressed.cpp,
	src/alternate_coder_src/laspointreader1compressed.h,
	src/alternate_coder_src/laspointreader2compressed.cpp,
	src/alternate_coder_src/laspointreader2compressed.h,
	src/alternate_coder_src/laspointreader3compressed.cpp,
	src/alternate_coder_src/laspointreader3compressed.h,
	src/alternate_coder_src/laspointwriter0compressed.cpp,
	src/alternate_coder_src/laspointwriter0compressed.h,
	src/alternate_coder_src/laspointwriter1compressed.cpp,
	src/alternate_coder_src/laspointwriter1compressed.h,
	src/alternate_coder_src/laspointwriter2compressed.cpp,
	src/alternate_coder_src/laspointwriter2compressed.h,
	src/alternate_coder_src/laspointwriter3compressed.cpp,
	src/alternate_coder_src/laspointwriter3compressed.h,
	src/integercompressor_context.cpp, src/integercompressor_context.h,
	src/integercompressor_newer.cpp, src/integercompressor_newer.h,
	src/laspointreader0compressed.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter3compressed.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.h, src/rangedecoder.cpp,
	src/rangedecoder.h, src/rangeencoder.cpp, src/rangeencoder.h,
	src/rangemodel.cpp, src/rangemodel.h:
	major overhaul of the compressor
	[692c74f8ff3a]

2010-01-12  isenburg  <isenburg@swan5.cs.unc.edu>

	* src/Makefile.am:
	no need for alternate coder right now
	[e146f02b4f17]

	* src/rangedecoder.cpp:
	ull for constant
	[c84afd310afe]

	* src/rangeencoder.cpp:
	ull for constant
	[ef8f6323567e]

2010-01-12  Howard Butler  <hobu.inc@gmail.com>

	* .hgignore, INSTALL, Makefile.am, src/Makefile.am:
	fix up compilation issues
	[f77c6eb550d7]

	* .hgignore, ChangeLog, Makefile.am, NEWS, README:
	add missing stuff so things can build
	[ac088d1ea74b]

2010-01-04  Howard Butler  <hobu.inc@gmail.com>

	* src/alternate_coder_src/arithmeticdecoder.cpp:
	clean up warning
	[e9412e0397c7]

	* AUTHORS, COPYING, Makefile.am, autogen.sh, configure.ac,
	include/Makefile.am, include/lasdefinitions.h,
	include/laspointreader.h, include/laspointreader0compressed.h,
	include/laspointreader0raw.h, include/laspointreader1compressed.h,
	include/laspointreader1raw.h, include/laspointreader2compressed.h,
	include/laspointreader2raw.h, include/laspointreader3compressed.h,
	include/laspointreader3raw.h, include/laspointwriter.h,
	include/laspointwriter0compressed.h, include/laspointwriter0raw.h,
	include/laspointwriter1compressed.h, include/laspointwriter1raw.h,
	include/laspointwriter2compressed.h, include/laspointwriter2raw.h,
	include/laspointwriter3compressed.h, include/laspointwriter3raw.h,
	include/lasreader.h, include/laswriter.h, laszip-config.in,
	src/Makefile.am, src/alternate_coder_src/Makefile.am,
	src/alternate_coder_src/arithmeticdecoder.cpp,
	src/alternate_coder_src/arithmeticdecoder.h,
	src/alternate_coder_src/arithmeticencoder.cpp,
	src/alternate_coder_src/arithmeticencoder.h,
	src/alternate_coder_src/arithmeticmodel.cpp,
	src/alternate_coder_src/arithmeticmodel.h,
	src/alternate_coder_src/integercompressor_newest.cpp,
	src/alternate_coder_src/integercompressor_newest.h,
	src/alternate_coder_src/laspointreader0compressed.cpp,
	src/alternate_coder_src/laspointreader0compressed.h,
	src/alternate_coder_src/laspointreader1compressed.cpp,
	src/alternate_coder_src/laspointreader1compressed.h,
	src/alternate_coder_src/laspointreader2compressed.cpp,
	src/alternate_coder_src/laspointreader2compressed.h,
	src/alternate_coder_src/laspointreader3compressed.cpp,
	src/alternate_coder_src/laspointreader3compressed.h,
	src/alternate_coder_src/laspointwriter0compressed.cpp,
	src/alternate_coder_src/laspointwriter0compressed.h,
	src/alternate_coder_src/laspointwriter1compressed.cpp,
	src/alternate_coder_src/laspointwriter1compressed.h,
	src/alternate_coder_src/laspointwriter2compressed.cpp,
	src/alternate_coder_src/laspointwriter2compressed.h,
	src/alternate_coder_src/laspointwriter3compressed.cpp,
	src/alternate_coder_src/laspointwriter3compressed.h,
	src/integercompressor_newer.cpp, src/integercompressor_newer.h,
	src/laspointreader0compressed.cpp,
	src/laspointreader1compressed.cpp,
	src/laspointreader2compressed.cpp,
	src/laspointreader3compressed.cpp,
	src/laspointwriter0compressed.cpp,
	src/laspointwriter1compressed.cpp,
	src/laspointwriter2compressed.cpp,
	src/laspointwriter3compressed.cpp, src/lasreader.cpp,
	src/laswriter.cpp, src/mydefs.h, src/rangedecoder.cpp,
	src/rangedecoder.h, src/rangeencoder.cpp, src/rangeencoder.h,
	src/rangemodel.cpp, src/rangemodel.h:
	It compiles! (on os x)
	[64a483cd4f88]

